[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

airport on pismo / 2.2.18pre21

I'm running debian/powerpc on a pismo powerbook, with kernel 2.2.18pre21.
And I'm trying to get airport to work...

I got 
but it won't compile.  It says: 

cc -fno-builtin -msoft-float -ffixed-r2 -c -MD -O3 -Wall -Wstrict-prototypes -pipe -D__KERNEL__ -DMODULE -D__linux__ airport.c -o .airport.o
In file included from k_compat.h:86,
                 from airport.c:216:
/usr/include/linux/module.h:19: linux/modversions.h: No such file or directory
make: *** [airport.o] Error 1

I also got
and gunzipped it, and put it in 
and then tried
  insmod -f airport
which gives:

Using /lib/modules/2.2.18pre21/net/airport.o
Warning: kernel-module version mismatch
        /lib/modules/2.2.18pre21/net/airport.o was compiled for kernel version 2.2.17pre13-ben1
        while this kernel is version 2.2.18pre21

/lib/modules/2.2.18pre21/net/airport.o: unresolved symbol loops_per_sec

Any suggestions would be appreciated...  Thanks.  


Neil "Fred" Picciotto   -=-   fred@derf.net
updated : 2000 sep 22   -=-   http://www.derf.net/whatsnew/

Reply to: